Package javassist.tools.rmi

# Class AppletServer

java.lang.Object
javassist.tools.web.Webserver
javassist.tools.rmi.AppletServer

public class AppletServer extends Webserver
An AppletServer object is a web server that an ObjectImporter communicates with. It makes the objects specified by `exportObject()` remotely accessible from applets. If the classes of the exported objects are requested by the client-side JVM, this web server sends proxy classes for the requested classes.

See Also:
  - `ObjectImporter`

## Field Summary

### Fields inherited from class javassist.tools.web.Webserver

`debugDir, htmlfileBase`

## Constructor Summary

Constructors
Constructor
Description
`AppletServer(int port)`
Constructs a web server.
`AppletServer(int port, ClassPool src)`
Constructs a web server.
`AppletServer(String port)`
Constructs a web server.

## Method Summary

Modifier and Type
Method
Description
`void`
`doReply(InputStream in, OutputStream out, String cmd)`
Processes a request from a web browser (an ObjectImporter).
`int`
`exportObject(String name, Object obj)`
Exports an object.
`void`
`run()`
Begins the HTTP service.

### Methods inherited from class javassist.tools.web.Webserver

`addTranslator, end, logging, logging, logging, logging2, main, setClassPool`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AppletServer

public AppletServer(String port) throws IOException, NotFoundException, CannotCompileException
Constructs a web server.

Parameters:
  `port` - port number
Throws:
  `IOException`
  `NotFoundException`
  `CannotCompileException`

### AppletServer

public AppletServer(int port) throws IOException, NotFoundException, CannotCompileException
Constructs a web server.

Parameters:
  `port` - port number
Throws:
  `IOException`
  `NotFoundException`
  `CannotCompileException`

### AppletServer

public AppletServer(int port, ClassPool src) throws IOException, NotFoundException, CannotCompileException
Constructs a web server.

Parameters:
  `port` - port number
  `src` - the source of classs files.
Throws:
  `IOException`
  `NotFoundException`
  `CannotCompileException`

## Method Details

### run

public void run()
Begins the HTTP service.

Overrides:
  `run` in class `Webserver`

### exportObject

public int exportObject(String name, Object obj) throws CannotCompileException
Exports an object. This method produces the bytecode of the proxy class used to access the exported object. A remote applet can load the proxy class and call a method on the exported object.

Parameters:
  `name` - the name used for looking the object up.
  `obj` - the exported object.
Returns:
  the object identifier
Throws:
  `CannotCompileException`
See Also:
  - `ObjectImporter.lookupObject(String)`

### doReply

public void doReply(InputStream in, OutputStream out, String cmd) throws IOException, BadHttpRequest
Processes a request from a web browser (an ObjectImporter).

Overrides:
  `doReply` in class `Webserver`
Parameters:
  `out` - the output stream to a client
  `cmd` - the command received from a client
Throws:
  `IOException`
  `BadHttpRequest`